PA2 is an implementation of a linked list using dynamically allocated memory.
This means memory is allocated at runtime and the size of the linked list is only limited to the amount of memory the system will allow the program to use.
When running the program, you can insert, delete, search for, and print data.
